unit main;

interface

uses
   Sysutils, txset, uss;

function TRCT(Request:String;var Response:String):Integer;stdcall;

implementation

function TRCT(Request:String;var Response:String):Integer;stdcall;
var
   inComm: TTinComm;
   outComm: TToutComm;
begin
   Result := 0;

   inComm := unpackTinComm(Request);
//   TransactionStart;
//   try
      TRANPROC_TRCT(inComm, outComm);
//   except
//      TransactionRollBack;
//      outComm.TOOVERID := ROABNORMAL;
//      outComm.TOSTATEMENT := ROSTATABNORMAL;
//      Response := packToutComm(outComm);
//      Exit;
//   end;
//   TransactionCommit;
   Response := packToutComm(outComm);
end;

end.
